Bug 963721 - Coverity run on glusterfs-3.4.0.8rhs-1 finds 879 defects
Coverity run on glusterfs-3.4.0.8rhs-1 finds 879 defects
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Lalatendu Mohanty
:
Depends On: 965517 965528 965542 965548 965562
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 09:17 EDT by Lalatendu Mohanty
Modified: 2014-05-06 07:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 965517 965528 965542 965548 965562 (view as bug list)
Environment:
Last Closed: 2014-05-06 07:46:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-05-16 09:17:47 EDT
Description of problem:

As discussed with Amar creating a defect for the issues came up in coverity run on glusterfs-3.4.0.8rhs-1.el6rhs.src.rpm

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Install covscan client , get the required ropo from here..http://cov01.lab.eng.brq.redhat.com/covscanhub

2. Run "covscan mock-build --config=rhel-6.4-x86_64-cscan --all /root/glusterfs-3.4.0.8rhs-1.el6rhs.src.rpm

3. You will get the result email

Actual results:

Analysis summary report:
------------------------
Files analyzed                  : 260
Total LoC input to cov-analyze  : 288777
Functions analyzed              : 7542
Paths analyzed                  : 982472
Time taken by Coverity analysis : 00:19:49
Defect occurrences found        : 879 Total
                                    8 ARRAY_VS_SINGLETON
                                    1 ATOMICITY
                                    5 BAD_FREE
                                    1 BAD_SIZEOF
                                    1 CHAR_IO
                                   32 CHECKED_RETURN
                                    4 CONSTANT_EXPRESSION_RESULT
                                    1 COPY_PASTE_ERROR
                                  114 DEADCODE
                                  148 FORWARD_NULL
                                    1 INTEGER_OVERFLOW
                                    5 LOCK
                                    9 MISSING_BREAK
                                   18 MISSING_LOCK
                                   35 MIXED_ENUMS
                                    4 NEGATIVE_RETURNS
                                   19 NO_EFFECT
                                   14 NULL_RETURNS
                                    7 ORDER_REVERSAL
                                    1 OVERFLOW_BEFORE_WIDEN
                                    2 OVERRUN
                                    2 PW.ASSIGN_WHERE_COMPARE_MEANT
                                    4 PW.BRANCH_PAST_INITIALIZATION
                                   32 PW.INCLUDE_RECURSION
                                    5 PW.SIGNED_ONE_BIT_FIELD
                                   71 RESOURCE_LEAK
                                   32 REVERSE_INULL
                                  200 SECURE_CODING
                                    7 SECURE_TEMP
                                    1 SIZEOF_MISMATCH
                                    7 STACK_USE
                                    2 STRAY_SEMICOLON
                                    2 STRING_NULL
                                   18 STRING_OVERFLOW
                                    2 STRING_SIZE
                                    2 TAINTED_SCALAR
                                    3 TAINTED_STRING
                                   14 TOCTOU
                                    3 UNINIT
                                    5 UNREACHABLE
                                    3 UNUSED_VALUE
                                   24 USE_AFTER_FREE
                                   10 VARARGS
Comment 1 Lalatendu Mohanty 2013-05-16 09:19:04 EDT
Forgot to attach the web link for the detailed report.

Please find the below link

http://cov01.lab.eng.brq.redhat.com/covscanhub/task/2689/
Comment 3 Nagaprasad Sathyanarayana 2013-05-21 00:43:58 EDT
Please assess how many of these are actual issues and filter out the false positives.
Comment 4 raghav 2013-05-21 05:08:17 EDT
879 is to big to be humanly analysed and tracked one shot.
can we create different priority bugs depending on what we need to be looking into?

As part of this bug I will look into the following defects which I find could cause leaks, corruption. Things like dead code, secure coding can be taken later and should be in seperate bugs. I can file them as children of this bug.
Comment 5 raghav 2013-05-21 07:08:05 EDT
Reassigning the master bug back to Amar. I have created the dependencies which he can track.
Comment 6 Vivek Agarwal 2014-04-07 07:40:15 EDT
Per bug triage, between dev, PM and QA, moving these out of denali
Comment 7 Nagaprasad Sathyanarayana 2014-05-06 06:35:01 EDT
BZs not targeted for Denali.
Comment 8 Lalatendu Mohanty 2014-05-06 07:46:57 EDT
New bugs(mentioned below) covers current high impact coverity issues i.e. 81 Coverity issues in 3 areas
i.e. illegal memory access, memory corruptions and resource/memory leaks. Hence closing the old bugs (which are not relevant as of now) for same issues.

https://bugzilla.redhat.com/show_bug.cgi?id=1093695
https://bugzilla.redhat.com/show_bug.cgi?id=1093696
https://bugzilla.redhat.com/show_bug.cgi?id=1093698

Note You need to log in before you can comment on or make changes to this bug.